Get user

Deprecated
> ### Use contexts instead > > After you have upgraded your LaunchDarkly SDK to use contexts instead of users, you should use [Get context instances](https://launchdarkly.com/docs/api/contexts/get-context-instances) instead of this endpoint. Get a user by key. The `user` object contains all attributes sent in `variation` calls for that key.

Authentication

Authorizationstring
API Key authentication via header

Path parameters

projectKeystringRequiredformat: "string"
The project key
environmentKeystringRequiredformat: "string"
The environment key
userKeystringRequiredformat: "string"
The user key

Response

User response
lastPingdatetime
Timestamp of the last time this user was seen
environmentIdstring
The environment ID
ownerIdstring
The ID of the member who is the owner for this account
userobject
Details on the user
sortValueany

If this record is returned as part of a list, the value used to sort the list. This is only included when the sort query parameter is specified. It is a time, in Unix milliseconds, if the sort is by lastSeen. It is a user key if the sort is by userKey.

_accessobject
Details on the allowed and denied actions for this user

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error